# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "hk"
version = "1.44.1"
build = "build/mod.rs"
include = [
    "/src/**/*",
    "/Cargo.toml",
    "/Cargo.lock",
    "/README.md",
    "/LICENSE",
    "/CHANGELOG.md",
    "/pkl",
    "/build/**/*",
    "/settings.toml",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A tool for managing git hooks"
homepage = "https://hk.jdx.dev"
documentation = "https://hk.jdx.dev"
readme = "README.md"
license = "MIT"
repository = "https://github.com/jdx/hk"

[package.metadata.release]
pre-release-hook = [
    "mise",
    "run",
    "pre-release",
    "--version",
    "{{version}}",
]

[[package.metadata.release.pre-release-replacements]]
file = "pkl/Config.pkl"
search = 'min_hk_version = ".*"'
replace = 'min_hk_version = "{{version | truncate(length=1)}}.0.0"'

[[bin]]
name = "hk"
path = "src/main.rs"

[dependencies.arc-swap]
version = "1"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.clap_usage]
version = "2"

[dependencies.clx]
version = "2.0"

[dependencies.color-eyre]
version = "0.6"

[dependencies.console]
version = "0.16"

[dependencies.dashmap]
version = "6.1.0"

[dependencies.demand]
version = "2"

[dependencies.dirs]
version = "6"

[dependencies.ensembler]
version = "1.1"

[dependencies.expr-lang]
version = "1.0.0"
features = ["serde"]

[dependencies.eyre]
version = "0.6"

[dependencies.git2]
version = "0.20"
features = ["vendored-libgit2"]

[dependencies.globset]
version = "0.4"

[dependencies.ignore]
version = "0.4"

[dependencies.indexmap]
version = "2"
features = ["serde"]

[dependencies.infer]
version = "0.19"

[dependencies.is_ci]
version = "1"

[dependencies.itertools]
version = "0.14"

[dependencies.libc]
version = "0.2"

[dependencies.log]
version = "0.4"

[dependencies.once_cell]
version = "1"

[dependencies.pklr]
version = "0.4.1"

[dependencies.regex]
version = "1"

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.serde_with]
version = "3"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.shell-quote]
version = "0.7"

[dependencies.shell-words]
version = "1"

[dependencies.similar]
version = "3"

[dependencies.siphasher]
version = "1"

[dependencies.strum]
version = "0.28"
features = ["derive"]

[dependencies.tempfile]
version = "3"

[dependencies.tera]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "full",
    "rt-multi-thread",
]

[dependencies.tokio-util]
version = "0.7"

[dependencies.toml]
version = "1.0"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-error]
version = "0.2"

[dependencies.tracing-log]
version = "0.2"

[dependencies.tracing-serde]
version = "0.2"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "json",
    "fmt",
]

[dependencies.xx]
version = "2.5.1"
features = [
    "http",
    "hash",
    "rustls",
    "rustls-native-roots",
]

[dev-dependencies.clap-sort]
version = "1"

[build-dependencies.codegen]
version = "0.3"

[build-dependencies.indexmap]
version = "2"
features = ["serde"]

[build-dependencies.serde]
version = "1"
features = ["derive"]

[build-dependencies.serde_json]
version = "1"

[build-dependencies.toml]
version = "1.0"

[profile.serious]
lto = true
inherits = "release"
